Subject: Re: bug#42248: 27.0.91; With enchant-2.2.8 from Guix, Flyspell errors out or gives lots of false positives

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Aug 2020 22:13:36 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 27 Aug 2020 12:05:04 -0700
> Cc: [email-masked], [email-masked]
> 
> > It isn't the Hunspell issue, it's an issue with the dictionary.  What
> > does your en_US.aff file says in the WORDCHARS line(s)?  See the
> > function ispell-parse-hunspell-affix-file which parses the Hunspell
> > aff files.
> 
> WORDCHARS 0123456789

Here I have

  WORDCHARS 0123456789'

So my suggestion is to find a better en_US dictionary and install it.

> > Eventually, the dictionary's entry in the ispell.el's DB is what
> > matters.  What do you have there?
> 
> Which variable would be of interest?  In
> `ispell-hunspell-dictionary-alist' I have the following entry for
> "en_US":
> 
> ("en_US" . #1=("[[:alpha:]]" "[^[:alpha:]]" "[0-9]" t
>                 ("-d" "en_US")
>                 nil utf-8))

The one I underlined.  It should be "['0-9]".  So there you have it.

> Is there anything we could do to work around this situation on our end?

Install a better dictionary, I'd say.